#include <Servo.h>

Servo ServoRH; //srevo Right Hip
Servo ServoRK; //servo Right Knee
Servo ServoRA; //servo Right Ankle

Servo ServoLH; //srevo Left Hip
Servo ServoLK; //srevo Left Knee
Servo ServoLA; //srevo Left Ankle

bool runOnce=false;

void standStraight () {
    // Stand straight
    ServoRH.write(100);
    ServoRK.write(100);
    ServoRA.write(85);
    
    ServoLH.write(100);
    ServoLK.write(100);
    ServoLA.write(120);
    }
    
void kickBall () {
       // Lean the BRAT to it's right side
     ServoRA.write(130);
     delay(500);
     ServoLA.write(145); 
     delay(1000);
     
     // Swing the left leg back
     ServoRH.write(188);
     delay(500);
     
     // Straighten the left foot
     ServoRA.write(90);
     delay(500);
     
     // Swing left leg to kick
     ServoRH.write(50);
     delay(500);
     
     // Put left leg down
     ServoRH.write(100);
     delay(500);
      }

void detachServos() {
     ServoLH.detach();  // servo Left hip is on port 4
     ServoLK.detach();  // servo Left knee is on port 3
     ServoLA.detach();  // servo Left ankle is on port 2
     
     ServoRH.detach();  // servo Right hip is on port 10
     ServoRK.detach();  // servo Right knee is on port 4
     ServoRA.detach();  // servo Right ankle is on port 4
    }
    
void setup()
{ 
//this declares what servo is on what port
 ServoLH.attach(4);  // servo Left hip is on port 4
 ServoLK.attach(3);  // servo Left knee is on port 3
 ServoLA.attach(2);  // servo Left ankle is on port 2
 
 ServoRH.attach(12);  // servo Right hip is on port 10
 ServoRK.attach(11);  // servo Right knee is on port 4
 ServoRA.attach(10);  // servo Right ankle is on port 4
}

void loop()
{
 if (!runOnce) {
     standStraight();
     delay(1000);
     kickBall();
     standStraight();
     delay (2000);
     detachServos();
     runOnce=1;  // Set to true so it does not run again.
     }
}
